# Yokogawa AQ6370 Series of Optical Spectrum Analyzers

class pymeasure.instruments.yokogawa.aq6370series.AQ6370Series(adapter, name='Yokogawa AQ3670D OSA', **kwargs)

  Bases: `SCPIMixin`, `Instrument`

  Represents Yokogawa AQ6370 Series of optical spectrum analyzer.

  abort()

    Stop operations such as measurements and calibration.

  property active_trace

    Control the active trace (str ‘A’, ‘B’, ‘C’, …).

  property automatic_sample_number

    Control the automatic sample number (bool).

  copy_trace(source, destination)

    Copy the data of specified trace to the another trace.

    Parameters:

      - source – Source trace (str ‘A’, ‘B’, ‘C’, …).

      - destination – Destination trace (str ‘A’, ‘B’, ‘C’, …).

  delete_trace(trace)

    Delete the specified trace.

    Parameters:

      trace – Trace to be deleted (str ‘ALL’, ‘A’, ‘B’, ‘C’, …).

  execute_analysis()

    Execute the analysis with the current analysis settings.

  get_analysis()

    Query the analysis results of latest analysis. If no analysis has been performed, returns query error.

  get_xdata(trace='TRA')

    Measure the x-axis data of specified trace, output wavelength in m.

    Parameters:

      trace – Trace to measure (str ‘A’, ‘B’, ‘C’, …).

    Returns:

      The x-axis data of specified trace.

  get_ydata(trace='TRA')

    Measure the y-axis data of specified trace, output power in dBm.

    Parameters:

      trace – Trace to measure (str ‘A’, ‘B’, ‘C’, …).

    Returns:

      The y-axis data of specified trace.

  initiate_sweep()

    Initiate a sweep.

  property level_position

    Control the reference level position regarding divisions (int, smaller than total number of divisions which is either 8, 10 or 12).(dynamic)

  property reference_level

    Control the reference level of main scale of level axis (float in dBm).

  property resolution_bandwidth

    Control the measurement resolution (float in m, discrete values: [0.02e-9, 0.05e-9, 0.1e-9, 0.2e-9, 0.5e-9, 1e-9, 2e-9] m).(dynamic)

  property sample_number

    Control the sample number (int from 51 to 50001).

  set_level_position_to_max()

    Set the reference level position to the maximum value.

  property sweep_mode

    Control the sweep mode (str ‘SINGLE’, ‘REPEAT’, ‘AUTO’, ‘SEGMENT’).

  property sweep_time_interval

    Control the sweep time interval (int from 0 to 99999 s).

  property wavelength_center

    Control measurement condition center wavelength (float in m).(dynamic)

  property wavelength_span

    Control wavelength span (float from 0 to 1100e-9 m).(dynamic)

  property wavelength_start

    Control the measurement start wavelength (float from 50e-9 to 2250e-9 in m).(dynamic)

  property wavelength_stop

    Control the measurement stop wavelength (float from 50e-9 to 2250e-9 in m).(dynamic)

class pymeasure.instruments.yokogawa.aq6370series.AQ6370D(adapter, name='Yokogawa AQ3670D OSA', **kwargs)

  Bases: `AQ6370Series`

  Represents Yokogawa AQ6370D optical spectrum analyzer.

  property sweep_speed

    Control the sweep speed (str ‘1x’ or ‘2x’ for double speed).

class pymeasure.instruments.yokogawa.aq6370series.AQ6370C(adapter, name='Yokogawa AQ3670D OSA', **kwargs)

  Bases: `AQ6370Series`

  Represents Yokogawa AQ6370C optical spectrum analyzer.

  property sweep_speed

    Control the sweep speed (str ‘1x’ or ‘2x’ for double speed).

class pymeasure.instruments.yokogawa.aq6370series.AQ6373(adapter, name='Yokogawa AQ3670D OSA', **kwargs)

  Bases: `AQ6370Series`

  Represents Yokogawa AQ6373 optical spectrum analyzer.

class pymeasure.instruments.yokogawa.aq6370series.AQ6373B(adapter, name='Yokogawa AQ3670D OSA', **kwargs)

  Bases: `AQ6373`

  Represents Yokogawa AQ6373B variant optical spectrum analyzer.

  property sweep_speed

    Control the sweep speed (str ‘1x’ or ‘2x’ for double speed).

class pymeasure.instruments.yokogawa.aq6370series.AQ6375(adapter, name='Yokogawa AQ3670D OSA', **kwargs)

  Bases: `AQ6370Series`

  Represents Yokogawa AQ6375 optical spectrum analyzer.

class pymeasure.instruments.yokogawa.aq6370series.AQ6375B(adapter, name='Yokogawa AQ3670D OSA', **kwargs)

  Bases: `AQ6375`

  Represents Yokogawa AQ6375B variant optical spectrum analyzer.

  property sweep_speed

    Control the sweep speed (str ‘1x’ or ‘2x’ for double speed).